'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.registerBaseComponents = registerBaseComponents;

var _TextBox = require('../../components/fieldComponents/TextBox');

var _TextBox2 = _interopRequireDefault(_TextBox);

var _Select = require('../../components/fieldComponents/Select');

var _Select2 = _interopRequireDefault(_Select);

var _TextArea = require('../../components/fieldComponents/TextArea');

var _TextArea2 = _interopRequireDefault(_TextArea);

var _Group = require('../../components/groupComponents/Group');

var _Group2 = _interopRequireDefault(_Group);

var _ArrayContainer = require('../../components/fieldComponents/ArrayContainer');

var _ArrayContainer2 = _interopRequireDefault(_ArrayContainer);

var _DateTimePicker = require('../../components/fieldComponents/DateTimePicker');

var _DateTimePicker2 = _interopRequireDefault(_DateTimePicker);

var _Lookup = require('../../components/fieldComponents/Lookup');

var _Lookup2 = _interopRequireDefault(_Lookup);

var _Static = require('../../components/fieldComponents/Static');

var _Static2 = _interopRequireDefault(_Static);

var _FieldGroup = require('../../components/fieldComponents/FieldGroup');

var _FieldGroup2 = _interopRequireDefault(_FieldGroup);

var _CheckBox = require('../../components/fieldComponents/CheckBox');

var _CheckBox2 = _interopRequireDefault(_CheckBox);

var _Radio = require('../../components/fieldComponents/Radio');

var _Radio2 = _interopRequireDefault(_Radio);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function registerBaseComponents(componentFactory) {
    if (!componentFactory) throw Error('\'componentFactory\' should be truthy');

    componentFactory.registerFieldComponent('TextBox', ['string', 'int', 'float', 'datetime', 'date', 'time'], _TextBox2.default);
    componentFactory.registerFieldComponent('Select', ['string'], _Select2.default);
    componentFactory.registerFieldComponent('Radio', ['string'], _Radio2.default);
    componentFactory.registerFieldComponent('Lookup', ['string'], _Lookup2.default);
    componentFactory.registerFieldComponent('TextArea', ['string'], _TextArea2.default);
    componentFactory.registerFieldComponent('ArrayContainer', ['array'], _ArrayContainer2.default);
    componentFactory.registerFieldComponent('DateTimePicker', ['datetime', 'date', 'time'], _DateTimePicker2.default);
    componentFactory.registerFieldComponent('Checkbox', ['bool'], _CheckBox2.default);
    componentFactory.registerFieldComponent('Static', ['string', 'int', 'float', 'datetime', 'date', 'time', 'bool'], _Static2.default);
    componentFactory.registerFieldComponent('FieldGroup', ['group'], _FieldGroup2.default);

    componentFactory.registerGroupComponent('Group', _Group2.default);
}